<@pp.changeOutputFile name="test/unit/Makefile.am"/>
#
#  Copyright (c) Members of the EGEE Collaboration. 2004. 
#  See http://www.eu-egee.org/partners/ for details on the copyright
#  holders.  
#
#  Licensed under the Apache License, Version 2.0 (the "License"); 
#  you may not use this file except in compliance with the License. 
#  You may obtain a copy of the License at 
#
#      http://www.apache.org/licenses/LICENSE-2.0 
#
#  Unless required by applicable law or agreed to in writing, software 
#  distributed under the License is distributed on an "AS IS" BASIS, 
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
#  See the License for the specific language governing permissions and 
#  limitations under the License.
#
#  test Makefile.am file for the gLite Transfer URL Copy module
#
#  Authors: Akos Frohner <Akos.Frohner@cern.ch>
#           Zsolt Molnar <Zsolt.Molnar@cern.ch>
#  Version info: $Id: Makefile.am,v 1.15 2009/12/03 17:21:45 molnarzs Exp $
#  Release: $Name:  $

# Unit Test Program
testbindir = $(datadir)/test/$(PACKAGE)/bin

testbin_PROGRAMS = glite-data-transfer-urlcopy-test

glite_data_transfer_urlcopy_test_SOURCES = \
    Test58470_MakeSyslogConfigurable.cpp \
    testSuite.cpp \
<#list unit_tests as test>
    ${test.name}.cpp \
</#list>
    TestTransferUrlCopy.cpp \
    TransferStructsTestCase.cpp \
    test-utility.cpp \
    MmapTestCase.cpp \
    UrlCopyCoreCheckSumTestCase.cpp \
    UrlCopyCoreTestCase_Common.cpp \
    UrlCopyCoreTestCase.cpp \
    UrlCopyCoreTokensTestCase.cpp \
    SrmCopyCoreCheckSumTestCase.cpp \
    SrmCopyCoreTestCase_Common.cpp \
    SrmCopyCoreTestCase.cpp \
    SrmCopyCoreTokensTestCase.cpp \
    UtilitiesTestCase.cpp \
    SrmCopyBug_37018.cpp \
    UrlCopyBug_37018.cpp \
    UrlCopyBug_47879.cpp

glite_data_transfer_urlcopy_test_LDADD = \
    $(top_builddir)/src/libglite_data_transfer_url_copy.la \
    $(GLITE_LDFLAGS) -lglite_data_util \
                            -lglite_data_config \
                            -lglite_data_agents_common \
                            -lglite_data_srm_util_cpp \
    $(GLOBUS_GSS_NOTHR_LIBS)\
    $(LOG4CPP_LIBS) \
    $(CPPUNIT_LIBS)

AM_LDFLAGS = -export-dynamic

AM_CPPFLAGS = -I$(top_srcdir)/interface \
    -I$(top_srcdir)/src \
    -I$(top_srcdir)/test \
    $(GLITE_CFLAGS) \
    $(BOOST_CFLAGS) \
    $(LOG4CPP_CFLAGS) \
    $(GLOBUS_NOTHR_CFLAGS) \
    $(CPPUNIT_CFLAGS)

MAINTAINERCLEANFILES = Makefile.in
