/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch - http://www.zsoltmolnar.hu>
 *  Version info: $Id: IChecksumGetter.h,v 1.2 2009/08/04 17:49:05 molnarzs Exp $
 *  Release: $Name:  $
 */
#ifndef GLITE_DATA_TRANSFER_URL_COPY_URL_FILEREMOVER_GRIDFTP_H_
#define GLITE_DATA_TRANSFER_URL_COPY_URL_FILEREMOVER_GRIDFTP_H_

#include "RefreshTimeUpdater.h"

#include <string>

namespace glite   {
namespace data    {
namespace transfer{
namespace urlcopy {

struct FileRemover_gridFTP
{
	static void RemoveFile(
        const int timeout,
        RefreshTimeUpdater::IUpdateRefreshTime* rtu, 
        const std::string& fileName);
};

} // namespace urlcopy
} // namespace transfer
} // namespace data
} // namespace glite

#endif // GLITE_DATA_TRANSFER_URL_COPY_URL_FILEREMOVER__GRIDFTP_H_

