/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch - http://www.zsoltmolnar.hu>
 *  Version info: $Id: Instrument.h,v 1.1 2009/10/26 16:32:20 molnarzs Exp $
 *  Release: $Name:  $
 */
#ifndef GLITE_DATA_TRANSFER_URL_COPY_URL_INSTRUMENT_H_
#define GLITE_DATA_TRANSFER_URL_COPY_URL_INSTRUMENT_H_

#include "Checksum.h"

#include <boost/scoped_ptr.hpp>
#include <string>

namespace glite {
namespace data {
namespace transfer {
namespace urlcopy {

class Instrument 
{
public:
    static Instrument& Instance();

    void set(const std::string& arg);

    boost::scoped_ptr<bool> srcSrmlsNoChecksum;
    boost::scoped_ptr<bool> dstSrmlsNoChecksum;
    boost::scoped_ptr<bool> srcChecksumNotAvailable;
    boost::scoped_ptr<bool> dstChecksumNotAvailable;
    boost::scoped_ptr<Checksum> srcSrmlsYesChecksum;
    boost::scoped_ptr<Checksum> dstSrmlsYesChecksum;
    boost::scoped_ptr<Checksum> dstForceChecksum;
    boost::scoped_ptr<Checksum> srcForceChecksum;
};

} // namespace urlcopy
} // namespace transfer
} // namespace data
} // namespace glite

#endif //GLITE_DATA_TRANSFER_URL_COPY_URL_INSTRUMENT_H_

