/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004. 
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.  
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 *
 *  GLite Data Transfer Url Copy: RefreshTimeUpdater utility
 *
 *  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: RefreshTimeUpdater.cpp,v 1.3 2008/08/07 12:12:59 ptedesco Exp $
 *  Release: $Name:  $
 */
#include "RefreshTimeUpdater.h"
#include "logger-utility.h"

using namespace glite::data::transfer::urlcopy;

/**
 * constructor
 */
RefreshTimeUpdater::RefreshTimeUpdater(IUpdateRefreshTime* update) : m_update(update){
}

/**
 * destructor
 */
RefreshTimeUpdater::~RefreshTimeUpdater(){
#ifdef _DEBUG
    debug() << "Updating refresh time.";
#endif
    m_update->UpdateRefreshTime();
}
