/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004-2008.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  UrlCopyStatus
 *
 *  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: UrlCopyStatus.cpp,v 1.1 2008/10/22 08:51:37 ptedesco Exp $
 *  Release: $Name:  $
 *
 */

#include <glite/data/transfer/urlcopy/UrlCopyStatus.h>

using namespace glite::data::transfer::urlcopy;

// Macro used for the enumeration
#define EVAL_CASE(name) case name: return #name;
   
/**
 * toString
 * Get String representation of the status
 */ 
const char * UrlCopyStatus::toString(UrlCopyStatus::Value v) throw(){
    switch(v){
        EVAL_CASE(IDLE)
        EVAL_CASE(PREPARING)
        EVAL_CASE(READY)
        EVAL_CASE(RUNNING)
        EVAL_CASE(DONE)
        EVAL_CASE(FAILED)
        EVAL_CASE(ABORTED)
        EVAL_CASE(COMPLETED)
        default: return "";
    }
}

namespace std{
std::ostream& operator << (std::ostream& stream,UrlCopyStatus::Value status){
    return stream << UrlCopyStatus::toString(status);
}
} // std


