/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004. 
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.  
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 *
 *  GLite Data Transfer Url Copy: helper methods for copy executables
 *
 *  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: glite-copy-utility.h,v 1.2 2008/10/20 15:19:46 ptedesco Exp $
 *  Release: $Name:  $
 */

#ifndef GLITE_DATA_TRANSFER_URL_COPY_GLITE_COPY_UTILITY_H_ 
#define GLITE_DATA_TRANSFER_URL_COPY_GLITE_COPY_UTILITY_H_ 
 
#include <string> 
#include <glite/data/agents/AgentExceptions.h>

namespace glite   {
namespace data    {
namespace transfer{
namespace urlcopy {

std::string get_endpoint_from_surl(
    const std::string& surl,
    const std::string& version) /*throw(RuntimeError)*/;
    
std::string get_endpoint_version(const std::string& endpoint) /*throw()*/;

} // namespace urlcopy
} // namespace transfer
} // namespace data
} // namespace glite

#endif

