/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004. 
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.  
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 *
 *  gLite Transfer Url Copy Clients - Main function for the CLI
 *
 *  Authors: Paolo Badino <Paolo.Badino@cern.ch>
 *           Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: util-main.h,v 1.6 2008/10/20 09:03:05 ptedesco Exp $
 *  Release: $Name:  $
 *
 */

#ifndef GLITE_DATA_TRANSFER_URL_COPY_UTIL_MAIN_H_
#define GLITE_DATA_TRANSFER_URL_COPY_UTIL_MAIN_H_

#include <iostream>
#include <glite/data/agents/extra/options.h>

/**********************************************************************
 * Prototypes
 */

/* add tool-specific command line option */
void tool_add_args(glite::data::agents::options::Arguments& args);

/* Perform tool operation */
int tool_doit(int argc, char *argv[]);

/**********************************************************************
 * Utility functions
 */

/**
 * Get a stream for debug messages 
 */
std::ostream& tool_debug();
    
/**
 * Get a stream for informational messages 
 */
std::ostream& tool_info();
    
/**
 * Get a stream for error messages 
 */
std::ostream& tool_error();
    
/**********************************************************************
 * Global variables exported by the tool
 */


/**********************************************************************
 * Global variables exported by the main module
 */

/* Verbosity level */
extern int verbose_flag;

/* Request quiet operation */
extern int quiet_flag;

#endif //GLITE_DATA_TRANSFER_URL_COPY_UTIL_MAIN_H_
