/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  gLite Transfer Url Copy Clients - utility functions for urlcopy transfers
 *
 *  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: util-urlcopy.h,v 1.1 2008/04/07 14:06:43 ptedesco Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_TRANSFER_URL_COPY_UTIL_URLCOPY_H_
#define GLITE_DATA_TRANSFER_URL_COPY_UTIL_URLCOPY_H_

#include <glite/data/transfer/urlcopy/TransferUrlCopy.h>

/**
 * print transfer parameters
 * @param tx_stat [IN]
 */
void print_transfer_parameters(
    const glite::data::transfer::urlcopy::TransferUrlCopy::Args& tx_args);

/**
 * print transfer details
 * @param tx_stat [IN]
 */
void print_transfer_details(
    const glite::data::transfer::urlcopy::TransferUrlCopyStat& tx_stat);

/**
 * print transfer failure
 * @param tx_stat [IN]
 */
void print_transfer_failure(
    const glite::data::transfer::urlcopy::TransferUrlCopyStat& tx_stat);

/**
 * print details about preparation phase
 * @param tx_stat [IN]
 */
void print_preparation_details(
    const glite::data::transfer::urlcopy::TransferUrlCopyStat& tx_stat);
        
/**
 * print details about finalization phase
 * @param tx_stat [IN]
 */
void print_finalization_details(
    const glite::data::transfer::urlcopy::TransferUrlCopyStat& tx_stat);
    
#endif // GLITE_DATA_TRANSFER_URL_COPY_UTIL_URLCOPY_H_

