#!/usr/bin/env python
#
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright
# holders.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# transfer-url-copy test script
#
# Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
# Version info: $Id: UpdateIndex.py,v 1.4 2008/12/10 16:13:55 ptedesco Exp $
# Release: $Name:  $

from Common import *
import os
import sys
import re

# UpdateIndexFile
#-------------------------------------------------------------------------------
def UpdateIndexFile(index,linkPath,caption):
    
    if not os.path.exists(index):
        log.error("file " + index + " not found")
        return 1
    
    newline = '            <li><a href="%s/report.html">%s</a></li>\n' % (linkPath,caption)

    rexp = re.compile(r"<!--New-->")
    lines = []
    try:
        indexFile = open(index,'r')
        for line in indexFile:
            lines.append(line)
            if rexp.search(line):
                lines.append(newline)
        indexFile.close()
        indexFile = open(index,'w')
        for line in lines:
            indexFile.write(line)
        indexFile.close()
    except Exception,exc:
        log.error("error updating file : " + str(exc))
        return 1
    finally:
        indexFile.close()
    return 0

# main
#-------------------------------------------------------------------------------
def main (argv = None):
    if argv is None:
        argv = sys.argv
    
    if len(argv) != 3:
        print "usage : %s path date" % (argv[0])
        return 1
    
    return UpdateIndexFile("index.html",argv[1],argv[2])

# run main
#-------------------------------------------------------------------------------
if __name__ == "__main__":
    sys.exit (main())
