/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  Authors: Zsolt.Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: test_dao_oracle_TestCase.h.tmpl.ftl,v 1.1 2010/02/09 14:31:01 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_TRANSFER_URL_COPY_GGUS58402_FTS_BEHAVIOUR_FOR_UNAVAILABLE_FILES_H_
#define GLITE_DATA_TRANSFER_URL_COPY_GGUS58402_FTS_BEHAVIOUR_FOR_UNAVAILABLE_FILES_H_

#include "SrmCopyCore.h"
#include "cppunit_wrapper.h"
#include "SrmCopyCoreTestCase_Common.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace urlcopy {

class GGUS58402_FTS_Behaviour_for_UNAVAILABLE_Files :
    public SrmCopyCoreTestCase_Common,
    public CppUnit::TestCase
{
public:
    void setUp();
    void tearDown();

private:
    CPPUNIT_TEST_SUITE(GGUS58402_FTS_Behaviour_for_UNAVAILABLE_Files);
        CPPUNIT_TEST(test);
    CPPUNIT_TEST_SUITE_END();

    // Test Methods
    // -------------------------------------------------------------------------
    void test();

    struct PrepareScenario_ : public SrmCopyCore::PrepareDependencies_ {
        PrepareScenario_(SrmCopyCore& self);
        virtual ~PrepareScenario_();

        virtual bool pingSource(UrlCopyError::Category& c, std::string& m);
        virtual bool pingDestination(UrlCopyError::Category& c, std::string& m);
        virtual void prepareSource();
        virtual void prepareDestination();
    };
};

} // end namespace urlcopy
} // end namespace transfer
} // end namespace data
} // end namespace glite

#endif // #ifndef GLITE_DATA_TRANSFER_URL_COPY_GGUS58402_FTS_BEHAVIOUR_FOR_UNAVAILABLE_FILES_

