/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004-2008.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  Test classes for Savannah bug ##58470:
 *      FTS: make syslog facility configurable.
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: Test58470_MakeSyslogConfigurable.h,v 1.1 2009/12/03 17:21:45 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#ifndef TEST_58470_MAKE_SYSLOG_CONFIGURABLE_H_
#define TEST_58470_MAKE_SYSLOG_CONFIGURABLE_H_

#include "test-utility.h"
#include "UrlCopyCoreTestCase_Common.h"

/**
 * Bug #37018 for UrlCopy transfers
 */
class Test58470_MakeSyslogConfigurable :
    public UrlCopyCoreTestCase_Common,
    public CppUnit::TestCase
{
private:
    CPPUNIT_TEST_SUITE(Test58470_MakeSyslogConfigurable);
        // Order matters here! testSyslogGetsConfiguredFromArgs must always
        // the first!
        CPPUNIT_TEST(testSyslogGetsConfiguredFromArgs);
        CPPUNIT_TEST(testEnableDisableSyslog);
    CPPUNIT_TEST_SUITE_END();

    void testSyslogGetsConfiguredFromArgs();
    void testEnableDisableSyslog();
};

#endif // TEST_58470_MAKE_SYSLOG_CONFIGURABLE_H_
