/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  GLite Data Transfer Url Copy: Transfer Structs Test Case
 *
 *  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
 *           Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: TransferStructsTestCase.h,v 1.1 2009/03/19 13:37:09 molnarzs Exp $
 *  Release: $Name:  $
 *
 */

#ifndef TEST_TRANSFERSTRUCTSTESTCASE_H_
#define TEST_TRANSFERSTRUCTSTESTCASE_H_

#include <cppunit/TestCase.h>
#include <cppunit/extensions/HelperMacros.h>

#include "stat-utility.h"
#include "test-utility.h"

using namespace glite::data::transfer::urlcopy;

class TransferStructsTestCase : public CppUnit::TestCase{
public:
private:

    // declare cppunit methods
    CPPUNIT_TEST_SUITE( TransferStructsTestCase );
        CPPUNIT_TEST( urlcopy_args_to_urlcopystat );
        CPPUNIT_TEST( urlcopy_args_to_urlcopystat_310 );
        CPPUNIT_TEST( urlcopy_args_to_urlcopystat_320 );
        CPPUNIT_TEST( urlcopy_args_to_urlcopystat_330 );
        CPPUNIT_TEST( urlcopy_args_to_urlcopystat_340 );
        CPPUNIT_TEST( urlcopy_args_to_urlcopystat_350 );
        CPPUNIT_TEST( srmcopy_args_to_srmcopystat );
        CPPUNIT_TEST( srmcopy_args_to_srmcopystat_330 );
        CPPUNIT_TEST( srmcopy_args_to_srmcopystat_340 );
        CPPUNIT_TEST( srmcopy_args_to_srmcopystat_350 );
    CPPUNIT_TEST_SUITE_END();

    // test methods
    void urlcopy_args_to_urlcopystat();
    void urlcopy_args_to_urlcopystat_310();
    void urlcopy_args_to_urlcopystat_320();
    void urlcopy_args_to_urlcopystat_330();
    void urlcopy_args_to_urlcopystat_340();
    void urlcopy_args_to_urlcopystat_350();
    void srmcopy_args_to_srmcopystat();
    void srmcopy_args_to_srmcopystat_330();
    void srmcopy_args_to_srmcopystat_340();
    void srmcopy_args_to_srmcopystat_350();
};

#endif // TEST_TRANSFERSTRUCTSTESTCASE_H_
