/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004-2008.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  Test case for Savannah bug #47879: transfer-url-copy tries a preparToGet for directory
 *
 *  Authors: Zsolt Molnar <Zsolt.Molnar@cern.ch>
 *  Version info: $Id: UrlCopyBug_47879.h,v 1.1 2009/03/19 13:55:56 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#ifndef TEST_URLCOPYBUG_47879_H_
#define TEST_URLCOPYBUG_47879_H_

#include "test-utility.h"
#include "UrlCopyCoreTestCase_Common.h"

/**
 * Bug #47879 for UrlCopy transfers
 */
class UrlCopyBug_47879 :
    public UrlCopyCoreTestCase_Common,
    public CppUnit::TestCase
{
private:
    // tests
    CPPUNIT_TEST_SUITE (UrlCopyBug_47879);
        CPPUNIT_TEST (test);
    CPPUNIT_TEST_SUITE_END ();

    /**
     * Create a copy request with a directory as a source. The request must fail
     * in the PREPARE phase.
     */
    void test();
};

#endif // TEST_URLCOPYBUG_47879_H_
