/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  GLite Data Transfer Url Copy: UrlCopyCoreTokens Test Case
 *
 *  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
 *           Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: UrlCopyCoreTokensTestCase.h,v 1.1 2009/03/19 13:37:09 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#ifndef TEST_URLCOPYCORETOKENSTESTCASE_H_
#define TEST_URLCOPYCORETOKENSTESTCASE_H_

#include "test-utility.h"
#include "UrlCopyCoreTestCase_Common.h"

/**
 * CPPUnit TestCase
 */
class UrlCopyCoreTokensTestCase :
    public UrlCopyCoreTestCase_Common,
    public CppUnit::TestCase{
private:
    // Declare CPPUnit Methods
    // -------------------------------------------------------------------------
    CPPUNIT_TEST_SUITE( UrlCopyCoreTokensTestCase );
        CPPUNIT_TEST( test_space_token_setup );
        CPPUNIT_TEST( test_space_token_01 );
        CPPUNIT_TEST( test_space_token_02 );
        CPPUNIT_TEST( test_space_token_03 );
        CPPUNIT_TEST( test_space_token_04 );
        CPPUNIT_TEST( test_space_token_05 );
        CPPUNIT_TEST( test_space_token_06 );
    CPPUNIT_TEST_SUITE_END();

    // Test Methods
    // -------------------------------------------------------------------------

    /**
     * tests for space tokens handling
     */
    void test_space_token_setup();
    void test_space_token_01();
    void test_space_token_02();
    void test_space_token_03();
    void test_space_token_04();
    void test_space_token_05();
    void test_space_token_06();

};

#endif // TEST_URLCOPYCORETOKENSTESTCASE_H_
