#!/bin/bash 
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#-------------------------------------------------------------------------------
# Unit tests for org.glite.data.transfer-url-copy
# Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
# Version info: $Id: unit-test.sh,v 1.6 2009/12/03 17:21:45 molnarzs Exp $
# Release: $Name:  $
#-------------------------------------------------------------------------------

source test_library.sh

test_all__DEPENDS="init_unit_test test_transfer_urlcopy_install test_transfer_urlcopy_stub_sd_install"
function test_all(){
    echo "Processing..."

    local TEST_EXE="${MODULE_TEST_DIR}/bin/glite-data-transfer-urlcopy-test"
    local WORK_DIR="${MODULE_TEST_DIR}/bin"
    if [ "" == "${USE_GDB}" ]; then
        (cd ${WORK_DIR} && env \
            X509_USER_KEY=${USER_X509_USER_KEY} \
            X509_USER_CERT=${USER_X509_USER_CERT} \
            NO_TRANSFER_SLEEP="1" \
            ${TEST_EXE} \
            -1 httpg://localhost:8043/srm/managerv1 \
            -2 httpg://localhost:8044/srm/managerv2 \
            -l ${MODULE_TEST_DIR} \
            -s -t ${MODULE_TEST_DIR}/var/tmp \
            ${TEST_CLASSES})
    else
        local GDB_SCRIPT="${WORK_DIR}/gdb.txt"
        cat > ${GDB_SCRIPT} << EOD
b main
run -1 httpg://localhost:8043/srm/managerv1 -2 httpg://localhost:8044/srm/managerv2 -l ${MODULE_TEST_DIR} -s -t ${MODULE_TEST_DIR}/var/tmp ${TEST_CLASSES}
EOD
        (cd ${WORK_DIR} && env \
            X509_USER_KEY=${USER_X509_USER_KEY} \
            X509_USER_CERT=${USER_X509_USER_CERT} \
            NO_TRANSFER_SLEEP="1" \
            gdb --command=${GDB_SCRIPT} ${TEST_EXE})
    fi
    local retval=${?}
    
    return ${retval}
}

test_all

